Subject: Re: bug#73451: privileged-program - Wrong type argument in position 1 (expecting struct)

From: Giovanni Biscuolo <[email-masked]>
Date: Tue, 24 Sep 2024 19:07:37 +0200

Hi Tobias,

thank you for your immediate reply!

Tobias Geerinckx-Rice <[email-masked]> writes:

> Hi Giovanni,
>
> (Did you mean to immediately open a bug report?)

yes, I really missed my obvious mistake, sorry!

[...]

>>	 (append (list (privileged-program
>>			(program (file-append spice-gtk "/libexec/spice-client-glib-usb-acl-helper"))
>>			(setuid? #t))
>>		       %default-privileged-programs)))
>
> You should really [configure your editor to] indent your code.

isn't it?  As you can see "%default-privileged-programs" is aligned with
the previous "(privileged-program": AFAIU it's a correct inidentation

(for the record I'm using Emacs in scheme-mode with the default
indentation rules)

[...]

>   (append (list foo %another-list))

sorry, I "simply" missed to understand I was using a list inside a list
:-(

forgive me, I'm closing this NON-bug

Happy hacking! Gio'

-- 
Giovanni Biscuolo

Xelera IT Infrastructures